## simplemonitor 1.12.0

=== Makefile ===
.PHONY: flake8 dist twine twine-test integration-tests env-test network-test black mypy linting mypy-strict bandit bandit-strict

ifeq ($(OS),Windows_NT)
MOCKSPATH := tests\mocks;
INTEGRATION_CONFIG := tests/monitor-windows.ini
else
MOCKSPATH := $(PWD)/tests/mocks:
INTEGRATION_CONFIG := tests/monitor.ini
endif
PIPENV := $(shell which poetry)

flake8:
	poetry run flake8 *.py simplemonitor/

integration-tests:
	PATH="$(MOCKSPATH)$(PATH)" $(PIPENV) run coverage run monitor.py -1 -v -d -f $(INTEGRATION_CONFIG) -j 1

integration-tests-threaded:
	PATH="$(MOCKSPATH)$(PATH)" $(PIPENV) run coverage run monitor.py -1 -v -d -f $(INTEGRATION_CONFIG)

env-test:
	env TEST_VALUE=myenv poetry run coverage run --append monitor.py -t -f tests/monitor-env.ini

unit-test:
	poetry run pytest --cov-append --cov=simplemonitor --cov-report= tests

network-test:
	rm -f master.log
	rm -f client.log
	poetry run tests/test-network.sh

dist:
	rm -f dist/simplemonitor-*
	poetry run python setup.py sdist bdist_wheel

twine-test:
	poetry run python -m twine upload --repository-url https://test.pypi.org/legacy/ dist/*

twine:
	poetry run python -m twine upload dist/*

black:
	poetry run black --check --diff *.py simplemonitor/

mypy:
	poetry run mypy *.py simplemonitor/

mypy-strict:
	poetry run mypy --disallow-untyped-calls --disallow-untyped-defs --disallow-incomplete-defs --disallow-untyped-decorators *.py simplemonitor/

bandit:
	poetry run bandit -r -ll *.py simplemonitor/

bandit-strict:
	poetry run bandit -r -l *.py simplemonitor/

linting: black flake8 mypy bandit

docker-build:
	docker build -f docker/monitor.Dockerfile .

docker-compose-build:
	docker-compose build

html-bundle:
	cd simplemonitor/html && npx webpack

fix-html-tests:
	for i in tests/html/*.html; do sed -i -E -e 's/1.12.0\+dev/__VERSION__/g' "$i"; done

=== docs/requirements.txt ===
sphinx==4.3.2
sphinx_rtd_theme==1.2.0

=== debian/changelog ===
simplemonitor (1.12.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1016113)

 -- Carles Pina i Estany <carles@pina.cat>  Thu, 25 Jan 2024 00:37:52 +0000

=== debian/control ===
Source: simplemonitor
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Carles Pina i Estany <carles@pina.cat>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-arrow,
               python3-boto3,
               python3-freezegun <!nocheck>,
               python3-importlib-metadata,
               python3-jinja2,
               python3-paramiko,
               python3-poetry-core,
               python3-psutil,
               python3-pyaarlo,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-ring-doorbell,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-twilio
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://simplemonitor.readthedocs.io
Vcs-Browser: https://salsa.debian.org/python-team/packages/simplemonitor
Vcs-Git: https://salsa.debian.org/python-team/packages/simplemonitor.git

Package: simplemonitor
Architecture: all
Depends: adduser, ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Description: Monitors host status and network connectivity
 SimpleMonitor, implemented in Python, monitors hosts (disk space, load
 average, services, etc.) and network connectivity (pings). It is designed to
 be quick and easy to set up and lacks complex features that can make other
 monitoring systems overkill for a small business or home network. Remote
 monitor instances can send their results back to a central location.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=simplemonitor
export PYBUILD_AFTER_INSTALL=rm {destdir}/usr/lib/python3*/dist-packages/simplemonitor/winmonitor.py \
                                {destdir}/usr/bin/winmonitor \
				{destdir}/usr/lib/python3*/dist-packages/did_recovered \
				{destdir}/usr/lib/python3*/dist-packages/did_recovery

export PYBUILD_TEST_ARGS=-k 'not test_html'

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(BUILDDIR3) sphinx-build docs/ build_docs/sphinx/html

override_dh_auto_install:
	dh_auto_install

	set -e; \
	CONFIG_DEST_DIR=debian/tmp/etc/simplemonitor; \
	mkdir -p "$$CONFIG_DEST_DIR"; \
	cp debian/example/* "$$CONFIG_DEST_DIR"

override_dh_auto_clean:
	# Delete explicitly to avoid the deletion of upstream build/build.sh
	# and build/update-contributors.sh
	dh_clean --exclude=build/build.sh --exclude=build/update-contributors.sh

## simplemonitor 1.12.1

=== docs/requirements.txt ===
sphinx==4.3.2
sphinx_rtd_theme==1.3.0
setuptools>=65.5.1 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
simplemonitor (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Package is reproducible, all unit tests pass.
  * Use manual from upstream.
  * Add new dependency in d/control (python3-icmplib).
  * Make comment clearer in d/rules.

 -- Carles Pina i Estany <carles@pina.cat>  Thu, 7 Mar 2024 00:48:53 +0000

## simplemonitor 1.13.0

=== Makefile ===
--- 
+++ 
@@ -66,4 +66,4 @@
 	cd simplemonitor/html && npx webpack
 
 fix-html-tests:
-	for i in tests/html/*.html; do sed -i -E -e 's/1.12.0\+dev/__VERSION__/g' "$i"; done
+	for i in tests/html/*.html; do sed -i -E -e 's/1.12.0/__VERSION__/g' "$$i"; done

=== docs/requirements.txt ===
sphinx==7.2.6
sphinx_rtd_theme==2.0.0
setuptools>=65.5.1 # not directly required, pinned by Snyk to avoid a vulnerability
urllib3>=2.2.2 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
simplemonitor (1.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Carles Pina i Estany <carles@pina.cat>  Mon, 15 Jul 2024 23:22:48 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-arrow,
                python3-boto3,
                python3-freezegun <!nocheck>,
+               python3-icmplib,
                python3-importlib-metadata,
                python3-jinja2,
                python3-paramiko,

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
                                 {destdir}/usr/bin/winmonitor \
 				{destdir}/usr/lib/python3*/dist-packages/did_recovered \
 				{destdir}/usr/lib/python3*/dist-packages/did_recovery
-
-export PYBUILD_TEST_ARGS=-k 'not test_html'
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
@@ -24,6 +22,6 @@
 	cp debian/example/* "$$CONFIG_DEST_DIR"
 
 override_dh_auto_clean:
-	# Delete explicitly to avoid the deletion of upstream build/build.sh
-	# and build/update-contributors.sh
+	# Avoid the deletion of upstream build/build.sh and
+	# build/update-contributors.sh
 	dh_clean --exclude=build/build.sh --exclude=build/update-contributors.sh

=== debian/tests/control ===
Test-Command: systemctl is-active --quiet simplemonitor
Restrictions: needs-root
Features: test-name=simplemonitor_service_runs

=== debian/watch ===
version=4
https://github.com/jamesoff/simplemonitor/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## simplemonitor 1.14.0a

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 PIPENV := $(shell which poetry)
 
 flake8:
-	poetry run flake8 *.py simplemonitor/
+	poetry run ruff check monitor.py simplemonitor/
 
 integration-tests:
 	PATH="$(MOCKSPATH)$(PATH)" $(PIPENV) run coverage run monitor.py -1 -v -d -f $(INTEGRATION_CONFIG) -j 1

=== docs/requirements.txt ===
sphinx==7.2.6
sphinx_rtd_theme==2.0.0
setuptools>=70.0.0 # not directly required, pinned by Snyk to avoid a vulnerability
urllib3>=2.2.2 # not directly required, pinned by Snyk to avoid a vulnerability
zipp>=3.19.1 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
simplemonitor (1.14.0a-3) unstable; urgency=medium

  * Source-only upload to build in buildds. (Closes: #1102320)
  * Update Standards-Version to 4.7.2.

 -- Carles Pina i Estany <carles@pina.cat>  Mon, 07 Apr 2025 21:43:24 +0100

simplemonitor (1.14.0a-2) unstable; urgency=medium

  * Delete /var/log/simplemonitor when purging.

 -- Carles Pina i Estany <carles@pina.cat>  Thu, 3 Apr 2025 21:08:34 +0000

simplemonitor (1.14.0a-1) unstable; urgency=medium

  * New upstream release.
  * Add README.Debian: document systemd integration.
  * Update Standards-Version to 4.7.0.
  * Add systemd to recommends.
  * Add tzdata-legacy: needed for unit tests using timezone MST.
  * debian/rules: do not delete non-existing files.
  * debian/control description: mention package is systemd enabled.

 -- Carles Pina i Estany <carles@pina.cat>  Mon, 10 Mar 2025 12:32:57 +0000

=== debian/control ===
--- 
+++ 
@@ -24,9 +24,10 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-twilio
+               python3-twilio,
+               tzdata-legacy <!nocheck>
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://simplemonitor.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/python-team/packages/simplemonitor
 Vcs-Git: https://salsa.debian.org/python-team/packages/simplemonitor.git
@@ -34,9 +35,12 @@
 Package: simplemonitor
 Architecture: all
 Depends: adduser, ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
+Recommends: systemd
 Description: Monitors host status and network connectivity
  SimpleMonitor, implemented in Python, monitors hosts (disk space, load
  average, services, etc.) and network connectivity (pings). It is designed to
  be quick and easy to set up and lacks complex features that can make other
  monitoring systems overkill for a small business or home network. Remote
  monitor instances can send their results back to a central location.
+ .
+ The package include a systemd service.

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,7 @@
 
 export PYBUILD_NAME=simplemonitor
 export PYBUILD_AFTER_INSTALL=rm {destdir}/usr/lib/python3*/dist-packages/simplemonitor/winmonitor.py \
-                                {destdir}/usr/bin/winmonitor \
-				{destdir}/usr/lib/python3*/dist-packages/did_recovered \
-				{destdir}/usr/lib/python3*/dist-packages/did_recovery
+                                {destdir}/usr/bin/winmonitor
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild

## simplemonitor 1.15.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: flake8 dist twine twine-test integration-tests env-test network-test black mypy linting mypy-strict bandit bandit-strict
+.PHONY: dist twine twine-test integration-tests env-test network-test ruff-check ruff-format ruff-format-check mypy linting mypy-strict bandit bandit-strict
 
 ifeq ($(OS),Windows_NT)
 MOCKSPATH := tests\mocks;
@@ -8,9 +8,6 @@
 INTEGRATION_CONFIG := tests/monitor.ini
 endif
 PIPENV := $(shell which poetry)
-
-flake8:
-	poetry run ruff check monitor.py simplemonitor/
 
 integration-tests:
 	PATH="$(MOCKSPATH)$(PATH)" $(PIPENV) run coverage run monitor.py -1 -v -d -f $(INTEGRATION_CONFIG) -j 1
@@ -39,8 +36,14 @@
 twine:
 	poetry run python -m twine upload dist/*
 
-black:
-	poetry run black --check --diff *.py simplemonitor/
+ruff-check:
+	poetry run ruff check monitor.py simplemonitor/
+
+ruff-format:
+	poetry run ruff format
+
+ruff-format-check:
+	poetry run ruff format --check --diff
 
 mypy:
 	poetry run mypy *.py simplemonitor/
@@ -54,7 +57,7 @@
 bandit-strict:
 	poetry run bandit -r -l *.py simplemonitor/
 
-linting: black flake8 mypy bandit
+linting: ruff-format ruff-check mypy bandit
 
 docker-build:
 	docker build -f docker/monitor.Dockerfile .

=== docs/requirements.txt ===
sphinx==7.2.6
sphinx_rtd_theme==2.0.0
setuptools>=78.1.1 # not directly required, pinned by Snyk to avoid a vulnerability
urllib3>=2.2.2 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
simplemonitor (1.15.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.15.0
  * Drop build dep on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Wed, 12 Nov 2025 08:23:24 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                python3-boto3,
                python3-freezegun <!nocheck>,
                python3-icmplib,
-               python3-importlib-metadata,
                python3-jinja2,
                python3-paramiko,
                python3-poetry-core,

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,10 @@
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	PYTHONPATH=$(BUILDDIR3) sphinx-build docs/ build_docs/sphinx/html
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 
 	set -e; \
 	CONFIG_DEST_DIR=debian/tmp/etc/simplemonitor; \
